org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_>

- All Implemented Interfaces:
    BavetNode

      public final class BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_>
      extends BavetAbstractUniNode<A>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetGroupBridgeUniNode(BavetConstraintSession session, int nodeOrder, BavetAbstractUniNode<A> parentNode, Function<A,GroupKey_> groupKeyMapping, UniConstraintCollector<A,ResultContainer_,Result_> collector, BavetGroupBiNode<GroupKey_,ResultContainer_,Result_> groupNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BavetGroupBridgeUniTuple<A,GroupKey_,ResultContainer_,Result_>` | `createTuple(BavetAbstractUniTuple<A> parentTuple)`
    `void` | `refresh(BavetGroupBridgeUniTuple<A,GroupKey_,ResultContainer_,Result_> tuple)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode

      `addChildNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetGroupBridgeUniNode

          public BavetGroupBridgeUniNode(BavetConstraintSession session,
                                         int nodeOrder,
                                         BavetAbstractUniNode<A> parentNode,
                                         Function<A,GroupKey_> groupKeyMapping,
                                         UniConstraintCollector<A,ResultContainer_,Result_> collector,
                                         BavetGroupBiNode<GroupKey_,ResultContainer_,Result_> groupNode)

  - ### Method Detail

    - #### createTuple

          public BavetGroupBridgeUniTuple<A,GroupKey_,ResultContainer_,Result_> createTuple(BavetAbstractUniTuple<A> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractUniNode<A>`

    - #### refresh

          public void refresh(BavetGroupBridgeUniTuple<A,GroupKey_,ResultContainer_,Result_> tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.